using UnityEngine; 

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
CategoryBuilder.Create("Animals Mod", "Animals Mod", ModAPI.LoadSprite("CategoryLogo.png"));

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Dog 1",
        DescriptionOverride = "dogs",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("dogthumb/dogthumb2.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("1.png");
            
Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Dog 2",
        DescriptionOverride = "dogs",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("dogthumb/dogthumb7.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("2.png");

            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Dog 3",
        DescriptionOverride = "dogs",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("dogthumb/dogthumb10.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("3.png");

            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Dog 4",
        DescriptionOverride = "dogs",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("dogthumb/dogthumb6.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("4.png");

            Instance.FixColliders();
                          }
                      }
                  );
	ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Dog 5",
        DescriptionOverride = "dogs",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("dogthumb/dogthumb5.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("5.png");

            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Dog 6",
        DescriptionOverride = "dogs",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("dogthumb/dogthumb4.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("6.png");

            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Dog 7",
        DescriptionOverride = "dogs",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("dogthumb/dogthumb3.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("7.png");

            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Dog 8",
        DescriptionOverride = "dogs",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("dogthumb/dogthumb8.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("8.png");

            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Dog 9",
        DescriptionOverride = "dogs",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("dogthumb/dogthumb1.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("9.png");

            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Dog 10",
        DescriptionOverride = "dogs",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("dogthumb/dogthumb9.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("10.png");

            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"),
                          NameOverride = "<color=red> [ANM] <color=white>Horse 2",
                          NameToOrderByOverride = "humans",
                          DescriptionOverride = "Honseeee",
                          CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                          ThumbnailOverride = ModAPI.LoadSprite("ThumbHonse/Honsethumb2.png"),
                          AfterSpawn = (Instance) =>
                          {

                              var person = Instance.GetComponent<PersonBehaviour>();

                              var skin = ModAPI.LoadTexture("honse/honse2.png");
                              var flesh = ModAPI.LoadTexture("flesh layer.png");
                              var bone = ModAPI.LoadTexture("bone layer.png");
                              person.SetBodyTextures(skin, flesh, bone, 1);

                              foreach (var body in person.Limbs)
                              {

                                var brea = new GameObject("brea");
                                brea.transform.SetParent(Instance.transform.Find("Head"));
                                brea.transform.localPosition = new Vector3(0f, 0f);
                                brea.transform.localScale = new Vector3(1f, 1f);
                                var breaSprite = brea.AddComponent<SpriteRenderer>();
                                breaSprite.sprite = ModAPI.LoadSprite("honse/honsehead2.png");
                                brea.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                var lower = new GameObject("lower");
                                lower.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                lower.transform.localPosition = new Vector3(0f, 0f);
                                lower.transform.localScale = new Vector3(1f, 1f);
                                var lowerSprite = lower.AddComponent<SpriteRenderer>();
                                lowerSprite.sprite = ModAPI.LoadSprite("honse/honsetail.png");
                                lower.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                   var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                   var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                   var body1 = Instance.transform.Find("Body").Find("MiddleBody");
                                   var body2 = Instance.transform.Find("Body").Find("UpperBody");
                                   var body3 = Instance.transform.Find("Body").Find("LowerBody");
                                   var legRight2 = Instance.transform.Find("BackLeg").Find("LowerLeg");
                                   var legLeft2 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
                                   var head = Instance.transform.Find("Head");

                                   legLeft.localPosition = new Vector3(0.17f, -0.447f, 0f); //pierwszy numerek to odległość, drugi wysokość a trzeci kąt przechylenia
                                   legRight.localPosition = new Vector3(-0.24f, -0.45f, 0f);
                                   legLeft2.localPosition = new Vector3(-0.24f, -0.8f, 0f); //0.06f odległość, -0.447f wysokość -0.26f, -0.8f, 0f
                                   legRight2.localPosition = new Vector3(0.17f, -0.8f, 0f); //0.06f, -0.8f, 0f
                                   body1.localPosition = new Vector3(-0.06f, -0.2f, 45f);
                                   body2.localPosition = new Vector3(0.2f, -0.2f, 45f);
                                   body3.localPosition = new Vector3(-0.3f, -0.2f, 45f);//0.3f, 0.5f, 45f
                                   head.localPosition = new Vector3(0.3f, 0.1f, 45f);


                                   body.Health *= 30f;
                                   body.BreakingThreshold *= 50f;
                                   body.transform.root.localScale *= 1.04f;

                              Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              }
                          }
                      }
                  );
ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"),
                          NameOverride = "<color=red> [ANM] <color=white>Horse 3",
                          NameToOrderByOverride = "humans",
                          DescriptionOverride = "Honseeee",
                          CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                          ThumbnailOverride = ModAPI.LoadSprite("ThumbHonse/Honsethumb3.png"),
                          AfterSpawn = (Instance) =>
                          {

                              var person = Instance.GetComponent<PersonBehaviour>();

                              var skin = ModAPI.LoadTexture("honse/honse3.png");
                              var flesh = ModAPI.LoadTexture("flesh layer.png");
                              var bone = ModAPI.LoadTexture("bone layer.png");
                              person.SetBodyTextures(skin, flesh, bone, 1);

                              foreach (var body in person.Limbs)
                              {

                                var brea = new GameObject("brea");
                                brea.transform.SetParent(Instance.transform.Find("Head"));
                                brea.transform.localPosition = new Vector3(0f, 0f);
                                brea.transform.localScale = new Vector3(1f, 1f);
                                var breaSprite = brea.AddComponent<SpriteRenderer>();
                                breaSprite.sprite = ModAPI.LoadSprite("honse/honsehead3.png");
                                brea.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                var lower = new GameObject("lower");
                                lower.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                lower.transform.localPosition = new Vector3(0f, 0f);
                                lower.transform.localScale = new Vector3(1f, 1f);
                                var lowerSprite = lower.AddComponent<SpriteRenderer>();
                                lowerSprite.sprite = ModAPI.LoadSprite("honse/honsetail2.png");
                                lower.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                   var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                   var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                   var body1 = Instance.transform.Find("Body").Find("MiddleBody");
                                   var body2 = Instance.transform.Find("Body").Find("UpperBody");
                                   var body3 = Instance.transform.Find("Body").Find("LowerBody");
                                   var legRight2 = Instance.transform.Find("BackLeg").Find("LowerLeg");
                                   var legLeft2 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
                                   var head = Instance.transform.Find("Head");

                                   legLeft.localPosition = new Vector3(0.17f, -0.447f, 0f); //pierwszy numerek to odległość, drugi wysokość a trzeci kąt przechylenia
                                   legRight.localPosition = new Vector3(-0.24f, -0.45f, 0f);
                                   legLeft2.localPosition = new Vector3(-0.24f, -0.8f, 0f); //0.06f odległość, -0.447f wysokość -0.26f, -0.8f, 0f
                                   legRight2.localPosition = new Vector3(0.17f, -0.8f, 0f); //0.06f, -0.8f, 0f
                                   body1.localPosition = new Vector3(-0.06f, -0.2f, 45f);
                                   body2.localPosition = new Vector3(0.2f, -0.2f, 45f);
                                   body3.localPosition = new Vector3(-0.3f, -0.2f, 45f);//0.3f, 0.5f, 45f
                                   head.localPosition = new Vector3(0.3f, 0.1f, 45f);


                                   body.Health *= 30f;
                                   body.BreakingThreshold *= 50f;
                                   body.transform.root.localScale *= 1.04f;

                              Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              }
                          }
                      }
                  );
ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"),
                          NameOverride = "<color=red> [ANM] <color=white>Horse 4",
                          NameToOrderByOverride = "humans",
                          DescriptionOverride = "Honseeee",
                          CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                          ThumbnailOverride = ModAPI.LoadSprite("ThumbHonse/Honsethumb4.png"),
                          AfterSpawn = (Instance) =>
                          {

                              var person = Instance.GetComponent<PersonBehaviour>();

                              var skin = ModAPI.LoadTexture("honse/honse4.png");
                              var flesh = ModAPI.LoadTexture("flesh layer.png");
                              var bone = ModAPI.LoadTexture("bone layer.png");
                              person.SetBodyTextures(skin, flesh, bone, 1);

                              foreach (var body in person.Limbs)
                              {

                                var brea = new GameObject("brea");
                                brea.transform.SetParent(Instance.transform.Find("Head"));
                                brea.transform.localPosition = new Vector3(0f, 0f);
                                brea.transform.localScale = new Vector3(1f, 1f);
                                var breaSprite = brea.AddComponent<SpriteRenderer>();
                                breaSprite.sprite = ModAPI.LoadSprite("honse/honsehead4.png");
                                brea.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                var lower = new GameObject("lower");
                                lower.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                lower.transform.localPosition = new Vector3(0f, 0f);
                                lower.transform.localScale = new Vector3(1f, 1f);
                                var lowerSprite = lower.AddComponent<SpriteRenderer>();
                                lowerSprite.sprite = ModAPI.LoadSprite("honse/honsetail3.png");
                                lower.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                   var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                   var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                   var body1 = Instance.transform.Find("Body").Find("MiddleBody");
                                   var body2 = Instance.transform.Find("Body").Find("UpperBody");
                                   var body3 = Instance.transform.Find("Body").Find("LowerBody");
                                   var legRight2 = Instance.transform.Find("BackLeg").Find("LowerLeg");
                                   var legLeft2 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
                                   var head = Instance.transform.Find("Head");

                                   legLeft.localPosition = new Vector3(0.17f, -0.447f, 0f); //pierwszy numerek to odległość, drugi wysokość a trzeci kąt przechylenia
                                   legRight.localPosition = new Vector3(-0.24f, -0.45f, 0f);
                                   legLeft2.localPosition = new Vector3(-0.24f, -0.8f, 0f); //0.06f odległość, -0.447f wysokość -0.26f, -0.8f, 0f
                                   legRight2.localPosition = new Vector3(0.17f, -0.8f, 0f); //0.06f, -0.8f, 0f
                                   body1.localPosition = new Vector3(-0.06f, -0.2f, 45f);
                                   body2.localPosition = new Vector3(0.2f, -0.2f, 45f);
                                   body3.localPosition = new Vector3(-0.3f, -0.2f, 45f);//0.3f, 0.5f, 45f
                                   head.localPosition = new Vector3(0.3f, 0.1f, 45f);


                                   body.Health *= 30f;
                                   body.BreakingThreshold *= 50f;
                                   body.transform.root.localScale *= 1.04f;

                              Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              }
                          }
                      }
                  );
ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"),
                          NameOverride = "<color=red> [ANM] <color=white>Horse 5",
                          NameToOrderByOverride = "humans",
                          DescriptionOverride = "Honseeee",
                          CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                          ThumbnailOverride = ModAPI.LoadSprite("ThumbHonse/Honsethumb5.png"),
                          AfterSpawn = (Instance) =>
                          {

                              var person = Instance.GetComponent<PersonBehaviour>();

                              var skin = ModAPI.LoadTexture("honse/honse5.png");
                              var flesh = ModAPI.LoadTexture("flesh layer.png");
                              var bone = ModAPI.LoadTexture("bone layer.png");
                              person.SetBodyTextures(skin, flesh, bone, 1);

                              foreach (var body in person.Limbs)
                              {

                                var brea = new GameObject("brea");
                                brea.transform.SetParent(Instance.transform.Find("Head"));
                                brea.transform.localPosition = new Vector3(0f, 0f);
                                brea.transform.localScale = new Vector3(1f, 1f);
                                var breaSprite = brea.AddComponent<SpriteRenderer>();
                                breaSprite.sprite = ModAPI.LoadSprite("honse/honse5head.png");
                                brea.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                var lower = new GameObject("lower");
                                lower.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                lower.transform.localPosition = new Vector3(0f, 0f);
                                lower.transform.localScale = new Vector3(1f, 1f);
                                var lowerSprite = lower.AddComponent<SpriteRenderer>();
                                lowerSprite.sprite = ModAPI.LoadSprite("honse/honsetail5.png");
                                lower.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                   var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                   var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                   var body1 = Instance.transform.Find("Body").Find("MiddleBody");
                                   var body2 = Instance.transform.Find("Body").Find("UpperBody");
                                   var body3 = Instance.transform.Find("Body").Find("LowerBody");
                                   var legRight2 = Instance.transform.Find("BackLeg").Find("LowerLeg");
                                   var legLeft2 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
                                   var head = Instance.transform.Find("Head");

                                   legLeft.localPosition = new Vector3(0.17f, -0.447f, 0f); //pierwszy numerek to odległość, drugi wysokość a trzeci kąt przechylenia
                                   legRight.localPosition = new Vector3(-0.24f, -0.45f, 0f);
                                   legLeft2.localPosition = new Vector3(-0.24f, -0.8f, 0f); //0.06f odległość, -0.447f wysokość -0.26f, -0.8f, 0f
                                   legRight2.localPosition = new Vector3(0.17f, -0.8f, 0f); //0.06f, -0.8f, 0f
                                   body1.localPosition = new Vector3(-0.06f, -0.2f, 45f);
                                   body2.localPosition = new Vector3(0.2f, -0.2f, 45f);
                                   body3.localPosition = new Vector3(-0.3f, -0.2f, 45f);//0.3f, 0.5f, 45f
                                   head.localPosition = new Vector3(0.3f, 0.1f, 45f);


                                   body.Health *= 30f;
                                   body.BreakingThreshold *= 50f;
                                   body.transform.root.localScale *= 1.04f;

                              Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              }
                          }
                      }
                  );
ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"),
                          NameOverride = "<color=red> [ANM] <color=white>Horse 6",
                          NameToOrderByOverride = "humans",
                          DescriptionOverride = "Honseeee",
                          CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                          ThumbnailOverride = ModAPI.LoadSprite("ThumbHonse/Honsethumb6.png"),
                          AfterSpawn = (Instance) =>
                          {

                              var person = Instance.GetComponent<PersonBehaviour>();

                              var skin = ModAPI.LoadTexture("honse/honse6.png");
                              var flesh = ModAPI.LoadTexture("flesh layer.png");
                              var bone = ModAPI.LoadTexture("bone layer.png");
                              person.SetBodyTextures(skin, flesh, bone, 1);

                              foreach (var body in person.Limbs)
                              {

                                var brea = new GameObject("brea");
                                brea.transform.SetParent(Instance.transform.Find("Head"));
                                brea.transform.localPosition = new Vector3(0f, 0f);
                                brea.transform.localScale = new Vector3(1f, 1f);
                                var breaSprite = brea.AddComponent<SpriteRenderer>();
                                breaSprite.sprite = ModAPI.LoadSprite("honse/honsehead6.png");
                                brea.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                var lower = new GameObject("lower");
                                lower.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                lower.transform.localPosition = new Vector3(0f, 0f);
                                lower.transform.localScale = new Vector3(1f, 1f);
                                var lowerSprite = lower.AddComponent<SpriteRenderer>();
                                lowerSprite.sprite = ModAPI.LoadSprite("honse/honsetail6.png");
                                lower.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                   var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                   var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                   var body1 = Instance.transform.Find("Body").Find("MiddleBody");
                                   var body2 = Instance.transform.Find("Body").Find("UpperBody");
                                   var body3 = Instance.transform.Find("Body").Find("LowerBody");
                                   var legRight2 = Instance.transform.Find("BackLeg").Find("LowerLeg");
                                   var legLeft2 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
                                   var head = Instance.transform.Find("Head");

                                   legLeft.localPosition = new Vector3(0.17f, -0.447f, 0f); //pierwszy numerek to odległość, drugi wysokość a trzeci kąt przechylenia
                                   legRight.localPosition = new Vector3(-0.24f, -0.45f, 0f);
                                   legLeft2.localPosition = new Vector3(-0.24f, -0.8f, 0f); //0.06f odległość, -0.447f wysokość -0.26f, -0.8f, 0f
                                   legRight2.localPosition = new Vector3(0.17f, -0.8f, 0f); //0.06f, -0.8f, 0f
                                   body1.localPosition = new Vector3(-0.06f, -0.2f, 45f);
                                   body2.localPosition = new Vector3(0.2f, -0.2f, 45f);
                                   body3.localPosition = new Vector3(-0.3f, -0.2f, 45f);//0.3f, 0.5f, 45f
                                   head.localPosition = new Vector3(0.3f, 0.1f, 45f);


                                   body.Health *= 30f;
                                   body.BreakingThreshold *= 50f;
                                   body.transform.root.localScale *= 1.04f;

                              Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              }
                          }
                      }
                  );
ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"),
                          NameOverride = "<color=red> [ANM] <color=white>Horse 7",
                          NameToOrderByOverride = "humans",
                          DescriptionOverride = "Honseeee",
                          CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                          ThumbnailOverride = ModAPI.LoadSprite("ThumbHonse/Honsethumb7.png"),
                          AfterSpawn = (Instance) =>
                          {

                              var person = Instance.GetComponent<PersonBehaviour>();

                              var skin = ModAPI.LoadTexture("honse/honse7.png");
                              var flesh = ModAPI.LoadTexture("flesh layer.png");
                              var bone = ModAPI.LoadTexture("bone layer.png");
                              person.SetBodyTextures(skin, flesh, bone, 1);

                              foreach (var body in person.Limbs)
                              {

                                var brea = new GameObject("brea");
                                brea.transform.SetParent(Instance.transform.Find("Head"));
                                brea.transform.localPosition = new Vector3(0f, 0f);
                                brea.transform.localScale = new Vector3(1f, 1f);
                                var breaSprite = brea.AddComponent<SpriteRenderer>();
                                breaSprite.sprite = ModAPI.LoadSprite("honse/honsehead7.png");
                                brea.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                var lower = new GameObject("lower");
                                lower.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                lower.transform.localPosition = new Vector3(0f, 0f);
                                lower.transform.localScale = new Vector3(1f, 1f);
                                var lowerSprite = lower.AddComponent<SpriteRenderer>();
                                lowerSprite.sprite = ModAPI.LoadSprite("honse/honsetail7.png");
                                lower.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                   var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                   var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                   var body1 = Instance.transform.Find("Body").Find("MiddleBody");
                                   var body2 = Instance.transform.Find("Body").Find("UpperBody");
                                   var body3 = Instance.transform.Find("Body").Find("LowerBody");
                                   var legRight2 = Instance.transform.Find("BackLeg").Find("LowerLeg");
                                   var legLeft2 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
                                   var head = Instance.transform.Find("Head");

                                   legLeft.localPosition = new Vector3(0.17f, -0.447f, 0f); //pierwszy numerek to odległość, drugi wysokość a trzeci kąt przechylenia
                                   legRight.localPosition = new Vector3(-0.24f, -0.45f, 0f);
                                   legLeft2.localPosition = new Vector3(-0.24f, -0.8f, 0f); //0.06f odległość, -0.447f wysokość -0.26f, -0.8f, 0f
                                   legRight2.localPosition = new Vector3(0.17f, -0.8f, 0f); //0.06f, -0.8f, 0f
                                   body1.localPosition = new Vector3(-0.06f, -0.2f, 45f);
                                   body2.localPosition = new Vector3(0.2f, -0.2f, 45f);
                                   body3.localPosition = new Vector3(-0.3f, -0.2f, 45f);//0.3f, 0.5f, 45f
                                   head.localPosition = new Vector3(0.3f, 0.1f, 45f);


                                   body.Health *= 30f;
                                   body.BreakingThreshold *= 50f;
                                   body.transform.root.localScale *= 1.04f;

                              Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              }
                          }
                      }
                  );
ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"),
                          NameOverride = "<color=red> [ANM] <color=white>Horse 8",
                          NameToOrderByOverride = "humans",
                          DescriptionOverride = "Honseeee",
                          CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                          ThumbnailOverride = ModAPI.LoadSprite("ThumbHonse/Honsethumb8.png"),
                          AfterSpawn = (Instance) =>
                          {

                              var person = Instance.GetComponent<PersonBehaviour>();

                              var skin = ModAPI.LoadTexture("honse/honse8.png");
                              var flesh = ModAPI.LoadTexture("flesh layer.png");
                              var bone = ModAPI.LoadTexture("bone layer.png");
                              person.SetBodyTextures(skin, flesh, bone, 1);

                              foreach (var body in person.Limbs)
                              {

                                var brea = new GameObject("brea");
                                brea.transform.SetParent(Instance.transform.Find("Head"));
                                brea.transform.localPosition = new Vector3(0f, 0f);
                                brea.transform.localScale = new Vector3(1f, 1f);
                                var breaSprite = brea.AddComponent<SpriteRenderer>();
                                breaSprite.sprite = ModAPI.LoadSprite("honse/honsehead8.png");
                                brea.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                var lower = new GameObject("lower");
                                lower.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                lower.transform.localPosition = new Vector3(0f, 0f);
                                lower.transform.localScale = new Vector3(1f, 1f);
                                var lowerSprite = lower.AddComponent<SpriteRenderer>();
                                lowerSprite.sprite = ModAPI.LoadSprite("honse/honsetail8.png");
                                lower.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                   var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                   var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                   var body1 = Instance.transform.Find("Body").Find("MiddleBody");
                                   var body2 = Instance.transform.Find("Body").Find("UpperBody");
                                   var body3 = Instance.transform.Find("Body").Find("LowerBody");
                                   var legRight2 = Instance.transform.Find("BackLeg").Find("LowerLeg");
                                   var legLeft2 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
                                   var head = Instance.transform.Find("Head");

                                   legLeft.localPosition = new Vector3(0.17f, -0.447f, 0f); //pierwszy numerek to odległość, drugi wysokość a trzeci kąt przechylenia
                                   legRight.localPosition = new Vector3(-0.24f, -0.45f, 0f);
                                   legLeft2.localPosition = new Vector3(-0.24f, -0.8f, 0f); //0.06f odległość, -0.447f wysokość -0.26f, -0.8f, 0f
                                   legRight2.localPosition = new Vector3(0.17f, -0.8f, 0f); //0.06f, -0.8f, 0f
                                   body1.localPosition = new Vector3(-0.06f, -0.2f, 45f);
                                   body2.localPosition = new Vector3(0.2f, -0.2f, 45f);
                                   body3.localPosition = new Vector3(-0.3f, -0.2f, 45f);//0.3f, 0.5f, 45f
                                   head.localPosition = new Vector3(0.3f, 0.1f, 45f);


                                   body.Health *= 30f;
                                   body.BreakingThreshold *= 50f;
                                   body.transform.root.localScale *= 1.04f;

                              Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              }
                          }
                      }
                  );
ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"),
                          NameOverride = "<color=red> [ANM] <color=white>Horse 9",
                          NameToOrderByOverride = "humans",
                          DescriptionOverride = "Honseeee",
                          CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                          ThumbnailOverride = ModAPI.LoadSprite("ThumbHonse/Honsethumb9.png"),
                          AfterSpawn = (Instance) =>
                          {

                              var person = Instance.GetComponent<PersonBehaviour>();

                              var skin = ModAPI.LoadTexture("honse/honse9.png");
                              var flesh = ModAPI.LoadTexture("flesh layer.png");
                              var bone = ModAPI.LoadTexture("bone layer.png");
                              person.SetBodyTextures(skin, flesh, bone, 1);

                              foreach (var body in person.Limbs)
                              {

                                var brea = new GameObject("brea");
                                brea.transform.SetParent(Instance.transform.Find("Head"));
                                brea.transform.localPosition = new Vector3(0f, 0f);
                                brea.transform.localScale = new Vector3(1f, 1f);
                                var breaSprite = brea.AddComponent<SpriteRenderer>();
                                breaSprite.sprite = ModAPI.LoadSprite("honse/honsehead9.png");
                                brea.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                var lower = new GameObject("lower");
                                lower.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                lower.transform.localPosition = new Vector3(0f, 0f);
                                lower.transform.localScale = new Vector3(1f, 1f);
                                var lowerSprite = lower.AddComponent<SpriteRenderer>();
                                lowerSprite.sprite = ModAPI.LoadSprite("honse/honsetail9.png");
                                lower.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                   var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                   var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                   var body1 = Instance.transform.Find("Body").Find("MiddleBody");
                                   var body2 = Instance.transform.Find("Body").Find("UpperBody");
                                   var body3 = Instance.transform.Find("Body").Find("LowerBody");
                                   var legRight2 = Instance.transform.Find("BackLeg").Find("LowerLeg");
                                   var legLeft2 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
                                   var head = Instance.transform.Find("Head");

                                   legLeft.localPosition = new Vector3(0.17f, -0.447f, 0f); //pierwszy numerek to odległość, drugi wysokość a trzeci kąt przechylenia
                                   legRight.localPosition = new Vector3(-0.24f, -0.45f, 0f);
                                   legLeft2.localPosition = new Vector3(-0.24f, -0.8f, 0f); //0.06f odległość, -0.447f wysokość -0.26f, -0.8f, 0f
                                   legRight2.localPosition = new Vector3(0.17f, -0.8f, 0f); //0.06f, -0.8f, 0f
                                   body1.localPosition = new Vector3(-0.06f, -0.2f, 45f);
                                   body2.localPosition = new Vector3(0.2f, -0.2f, 45f);
                                   body3.localPosition = new Vector3(-0.3f, -0.2f, 45f);//0.3f, 0.5f, 45f
                                   head.localPosition = new Vector3(0.3f, 0.1f, 45f);


                                   body.Health *= 30f;
                                   body.BreakingThreshold *= 50f;
                                   body.transform.root.localScale *= 1.04f;

                              Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              }
                          }
                      }
                  );
ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"),
                          NameOverride = "<color=red> [ANM] <color=white>Horse 10",
                          NameToOrderByOverride = "humans",
                          DescriptionOverride = "Honseeee",
                          CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                          ThumbnailOverride = ModAPI.LoadSprite("ThumbHonse/Honsethumb10.png"),
                          AfterSpawn = (Instance) =>
                          {

                              var person = Instance.GetComponent<PersonBehaviour>();

                              var skin = ModAPI.LoadTexture("honse/honse10.png");
                              var flesh = ModAPI.LoadTexture("flesh layer.png");
                              var bone = ModAPI.LoadTexture("bone layer.png");
                              person.SetBodyTextures(skin, flesh, bone, 1);

                              foreach (var body in person.Limbs)
                              {

                                var brea = new GameObject("brea");
                                brea.transform.SetParent(Instance.transform.Find("Head"));
                                brea.transform.localPosition = new Vector3(0f, 0f);
                                brea.transform.localScale = new Vector3(1f, 1f);
                                var breaSprite = brea.AddComponent<SpriteRenderer>();
                                breaSprite.sprite = ModAPI.LoadSprite("honse/honsehead10.png");
                                brea.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                var lower = new GameObject("lower");
                                lower.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                lower.transform.localPosition = new Vector3(0f, 0f);
                                lower.transform.localScale = new Vector3(1f, 1f);
                                var lowerSprite = lower.AddComponent<SpriteRenderer>();
                                lowerSprite.sprite = ModAPI.LoadSprite("honse/honsetail10.png");
                                lower.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                   var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                   var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                   var body1 = Instance.transform.Find("Body").Find("MiddleBody");
                                   var body2 = Instance.transform.Find("Body").Find("UpperBody");
                                   var body3 = Instance.transform.Find("Body").Find("LowerBody");
                                   var legRight2 = Instance.transform.Find("BackLeg").Find("LowerLeg");
                                   var legLeft2 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
                                   var head = Instance.transform.Find("Head");

                                   legLeft.localPosition = new Vector3(0.17f, -0.447f, 0f); //pierwszy numerek to odległość, drugi wysokość a trzeci kąt przechylenia
                                   legRight.localPosition = new Vector3(-0.24f, -0.45f, 0f);
                                   legLeft2.localPosition = new Vector3(-0.24f, -0.8f, 0f); //0.06f odległość, -0.447f wysokość -0.26f, -0.8f, 0f
                                   legRight2.localPosition = new Vector3(0.17f, -0.8f, 0f); //0.06f, -0.8f, 0f
                                   body1.localPosition = new Vector3(-0.06f, -0.2f, 45f);
                                   body2.localPosition = new Vector3(0.2f, -0.2f, 45f);
                                   body3.localPosition = new Vector3(-0.3f, -0.2f, 45f);//0.3f, 0.5f, 45f
                                   head.localPosition = new Vector3(0.3f, 0.1f, 45f);


                                   body.Health *= 30f;
                                   body.BreakingThreshold *= 50f;
                                   body.transform.root.localScale *= 1.04f;

                              Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              }
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Hamster 1",
        DescriptionOverride = "yeahhh, i like hampteeer",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("hamsterthumb/hamsterthumb3.png"),
        AfterSpawn = (Instance) =>
        {

                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hampter/hampter.png");
	
            Instance.FixColliders();
          }
        }
      );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Hamster 2",
        DescriptionOverride = "yeahhh, i like hampteeer",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("hamsterthumb/hamsterthumb4.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hampter/hampter2.png");
	
            Instance.FixColliders();
          }
        }
      );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Hamster 3",
        DescriptionOverride = "yeahhh, i like hampteeer",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("hamsterthumb/hamsterthumb1.png"),
        AfterSpawn = (Instance) =>
        {


                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hampter/hampter3.png");
	
            Instance.FixColliders();
          }
        }
      );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Hamster 4",
        DescriptionOverride = "yeahhh, i like hampteeer",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("hamsterthumb/hamsterthumb5.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hampter/hampter4.png");
	
            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Hamster 5",
        DescriptionOverride = "yeahhh, i like hampteeer",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("hamsterthumb/hamsterthumb2.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hampter/hampter5.png");
	
            Instance.FixColliders();
                          }
                      }
                  );
                                ModAPI.Register(
                                new Modification()
                                {
                                    OriginalItem = ModAPI.FindSpawnable("Human"),
                                    NameOverride = "<color=red> [ANM] <color=white>Dinosaur",
                                    NameToOrderByOverride = "",
                                    DescriptionOverride = "i just added a fucking dinosaur to this game?",
                                    CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                                    ThumbnailOverride = ModAPI.LoadSprite("Dinosaur.png"),
                                    AfterSpawn = (Instance) =>
                                    {

                                      var person = Instance.GetComponent<PersonBehaviour>();

                                        Instance.transform.Find("FrontLeg").Find("UpperLegFront").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster/upper leg.png");
                                        Instance.transform.Find("FrontLeg").Find("UpperLegFront").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster/2.png"));
                                        Instance.transform.Find("FrontLeg").Find("UpperLegFront").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster/5.png"));

                                        Instance.transform.Find("BackLeg").Find("UpperLeg").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster/upper leg.png");
                                        Instance.transform.Find("BackLeg").Find("UpperLeg").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster/2.png"));
                                        Instance.transform.Find("BackLeg").Find("UpperLeg").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster/5.png"));

                                        Instance.transform.Find("FrontLeg").Find("LowerLegFront").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster/lower leg.png");
                                        Instance.transform.Find("FrontLeg").Find("LowerLegFront").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster/1.png"));
                                        Instance.transform.Find("FrontLeg").Find("LowerLegFront").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster/6.png"));

                                        Instance.transform.Find("BackLeg").Find("LowerLeg").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster/lower leg.png");
                                        Instance.transform.Find("BackLeg").Find("LowerLeg").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster/1.png"));
                                        Instance.transform.Find("BackLeg").Find("LowerLeg").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster/6.png"));

                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster/body.png");
                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster/meathead.png"));
                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster/skelhead.png"));

                                        Instance.transform.Find("Head").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster/head.png");
                                        Instance.transform.Find("Head").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster/meatyhead.png"));
                                        Instance.transform.Find("Head").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster/skellyhead.png"));

                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster/upper arm.png");
                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster/3.png"));
                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster/7.png"));

                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster/upper arm.png");
                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster/3.png"));
                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster/7.png"));

                                        Instance.transform.Find("FrontArm").Find("LowerArmFront").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster/lower arm.png");
                                        Instance.transform.Find("FrontArm").Find("LowerArmFront").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster/4.png"));
                                        Instance.transform.Find("FrontArm").Find("LowerArmFront").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster/8.png"));

                                        Instance.transform.Find("BackArm").Find("LowerArm").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster/lower arm.png");
                                        Instance.transform.Find("BackArm").Find("LowerArm").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster/4.png"));
                                        Instance.transform.Find("BackArm").Find("LowerArm").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster/8.png"));

                                         var body1 = Instance.transform.Find("Body").Find("LowerBody");

                                        var hand1 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                                        hand1.localPosition = new Vector2(1f, -0.55f);

                                        var hand2 = Instance.transform.Find("BackArm").Find("UpperArm");
                                        hand2.localPosition = new Vector2(1f, -0.55f);

                                        var hand3 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                        hand3.localPosition = new Vector2(1f, -0.94f);

                                        var hand4 = Instance.transform.Find("BackArm").Find("LowerArm");
                                        hand4.localPosition = new Vector2(1f, -0.94f);

                                         var headyss = Instance.transform.Find("Head");
                                                 var phys12 = headyss.GetComponent<PhysicalBehaviour>();
                                                 var prop12 = ModAPI.FindPhysicalProperties("Human");
                                                 prop12.Sharp = true;
                                                 prop12.SharpAxes = new[]
                                                 {
                                                     new SharpAxis(Vector2.right, 0f, 0.15f, true, true),
                                                 };
                                                 phys12.Properties = prop12;


                                        var phys1 = hand4.GetComponent<PhysicalBehaviour>();
                                            var prop = ModAPI.FindPhysicalProperties("Human");
                                            prop.Sharp = true;
                                            prop.SharpAxes = new[]
                                            {
                                                new SharpAxis(Vector2.left, 0f, 0f, false, true),
                                            };
                                            phys1.Properties = prop;
                                            var phys2 = hand3.GetComponent<PhysicalBehaviour>();
                                            phys2.Properties = prop;

                                        var leg1 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                        leg1.localPosition = new Vector2(0.25f, -0.30f);

                                        var leg2 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                        leg2.localPosition = new Vector2(0.25f, -0.30f);

                                        var leg3 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
                                        leg3.localPosition = new Vector2(0.25f, -0.75f);

                                        var leg4 = Instance.transform.Find("BackLeg").Find("LowerLeg");
                                        leg4.localPosition = new Vector2(0.25f, -0.75f);

                                        var headys = Instance.transform.Find("Head");
                                        headys.localPosition = new Vector2(1.5f, 0.35f);

                                        Instance.transform.Find("Body").Find("MiddleBody").GetComponent<PhysicalBehaviour>().Disintegrate();
                                        Instance.transform.Find("Body").Find("UpperBody").GetComponent<PhysicalBehaviour>().Disintegrate();
                                        Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                        Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>().HasBrain = true;

                                        if (Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>().FakeUprightForce != 0.025f)
                                        {
                                            Instance.transform.Find("Body").Find("LowerBody").localPosition = new Vector3(-0.35f, -0.08f);
                                        }

                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>().FakeUprightForce = 0.025f;
                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<Rigidbody2D>().mass = 5f;

                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = true;
                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>().CirculationBehaviour.WasInitiallyPumping = true;


                                        Instance.transform.Find("Body").Find("LowerBody").gameObject.AddComponent<BoxCollider2D>();

                                        Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.AddComponent<BoxCollider2D>();

                                        Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.AddComponent<BoxCollider2D>();

                                        Instance.transform.Find("Head").gameObject.AddComponent<BoxCollider2D>();
                                        Instance.transform.Find("Head").GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = true;
                                        Instance.transform.Find("Head").GetComponent<LimbBehaviour>().CirculationBehaviour.WasInitiallyPumping = true;

                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.AddComponent<BoxCollider2D>();
                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = true;
                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<LimbBehaviour>().CirculationBehaviour.WasInitiallyPumping = true;

                                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.AddComponent<BoxCollider2D>();
                                        Instance.transform.Find("FrontArm").Find("LowerArmFront").GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = true;
                                        Instance.transform.Find("FrontArm").Find("LowerArmFront").GetComponent<LimbBehaviour>().CirculationBehaviour.WasInitiallyPumping = true;

                                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.AddComponent<BoxCollider2D>();
                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = true;
                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<LimbBehaviour>().CirculationBehaviour.WasInitiallyPumping = true;

                                        Instance.transform.Find("BackArm").Find("LowerArm").gameObject.AddComponent<BoxCollider2D>();
                                        Instance.transform.Find("BackArm").Find("LowerArm").GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = true;
                                        Instance.transform.Find("BackArm").Find("LowerArm").GetComponent<LimbBehaviour>().CirculationBehaviour.WasInitiallyPumping = true;

                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<HingeJoint2D>().connectedBody = Instance.transform.Find("Body").Find("LowerBody").GetComponent<Rigidbody2D>();
                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<HingeJoint2D>().connectedBody = Instance.transform.Find("Body").Find("LowerBody").GetComponent<Rigidbody2D>();
                                        Instance.transform.Find("Head").GetComponent<HingeJoint2D>().connectedBody = Instance.transform.Find("Body").Find("LowerBody").GetComponent<Rigidbody2D>();
                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<LimbBehaviour>().ConnectedLimbs.Add(Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>());
                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<LimbBehaviour>().ConnectedLimbs.Add(Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>());

                                        Instance.transform.Find("Head").GetComponent<LimbBehaviour>().ConnectedLimbs.Add(Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>());

                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>().CirculationBehaviour.PushesTo = new CirculationBehaviour[]{
                                                Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<CirculationBehaviour>(),
                                                Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<CirculationBehaviour>(),
                                                Instance.transform.Find("Head").GetComponent<CirculationBehaviour>(),
                                                Instance.transform.Find("BackLeg").Find("UpperLeg").GetComponent<CirculationBehaviour>(),
                                                Instance.transform.Find("FrontLeg").Find("UpperLegFront").GetComponent<CirculationBehaviour>()
                                            };

                                        var allColliders = Instance.GetComponentsInChildren<Collider2D>();
                                        foreach (var a in allColliders)
                                            foreach (var b in allColliders)
                                                Physics2D.IgnoreCollision(a, b);


                                         foreach (var body in person.Limbs)
                                            {
                                                 body.BaseStrength *= 3f;
                                                 body.Health *= 500f;
                                                 body.BreakingThreshold *= 12f;
                          }}
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=red> [ANM] <color=white> Fish 1",
        DescriptionOverride = "yeah",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("Fishthumb/fish3.png"),
        AfterSpawn = (Instance) =>
        {

          Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontLeg").Find("UpperLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("UpperLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("Body").Find("MiddleBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
           Instance.transform.Find("Body").Find("LowerBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();

          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("Fish/Fish1.png");
            var flesh = ModAPI.LoadTexture("Fish/flesh.png");
            var bone = ModAPI.LoadTexture("Fish/bone.png");

              person.SetBodyTextures(skin, flesh, bone, 1);
          }
        }
      );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=red> [ANM] <color=white> Fish 2",
        DescriptionOverride = "yeah",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("Fishthumb/fish4.png"),
        AfterSpawn = (Instance) =>
        {

          Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontLeg").Find("UpperLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("UpperLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("Body").Find("MiddleBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
           Instance.transform.Find("Body").Find("LowerBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();

          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("Fish/Fish2.png");
            var flesh = ModAPI.LoadTexture("Fish/flesh.png");
            var bone = ModAPI.LoadTexture("Fish/bone.png");

              person.SetBodyTextures(skin, flesh, bone, 1);
          }
        }
      );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=red> [ANM] <color=white> Fish 3",
        DescriptionOverride = "yeah",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("Fishthumb/fish2.png"),
        AfterSpawn = (Instance) =>
        {

          Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontLeg").Find("UpperLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("UpperLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("Body").Find("MiddleBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
           Instance.transform.Find("Body").Find("LowerBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();

          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("Fish/Fish3.png");
            var flesh = ModAPI.LoadTexture("Fish/flesh.png");
            var bone = ModAPI.LoadTexture("Fish/bone.png");

              person.SetBodyTextures(skin, flesh, bone, 1);
          }
        }
      );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=red> [ANM] <color=white> Fish 4",
        DescriptionOverride = "yeah",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("Fishthumb/fish1.PNG"),
        AfterSpawn = (Instance) =>
        {

          Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontLeg").Find("UpperLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("UpperLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("Body").Find("MiddleBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
           Instance.transform.Find("Body").Find("LowerBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();

          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("Fish/Fish4.png");
            var flesh = ModAPI.LoadTexture("Fish/flesh.png");
            var bone = ModAPI.LoadTexture("Fish/bone.png");

              person.SetBodyTextures(skin, flesh, bone, 1);
          }
        }
      );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=red> [ANM] <color=white> Weird Green Fish",
        DescriptionOverride = "that's weird, blame spidey",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("Fishthumb/weirdfish.png"),
        AfterSpawn = (Instance) =>
        {

          Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontLeg").Find("UpperLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackLeg").Find("UpperLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
          Instance.transform.Find("Body").Find("MiddleBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
           Instance.transform.Find("Body").Find("LowerBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();

          var person = Instance.GetComponent<PersonBehaviour>();

            var skin = ModAPI.LoadTexture("Fish/WeirdGreenFish.png");
            var flesh = ModAPI.LoadTexture("Fish/flesh.png");
            var bone = ModAPI.LoadTexture("Fish/bone.png");

              person.SetBodyTextures(skin, flesh, bone, 1);
          }
        }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Rat 1",
        DescriptionOverride = "R.E.T",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("Ratthumb/retThumb1.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rat/ret.png");
	
            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Rat 2",
        DescriptionOverride = "R.E.T",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("Ratthumb/retThumb2.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rat/ret2.png");
	
            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Rat 3",
        DescriptionOverride = "R.E.T",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("Ratthumb/retThumb3.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rat/ret3.png");
	
            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Rat 4",
        DescriptionOverride = "R.E.T",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("Ratthumb/retThumb4.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rat/ret4.png");
	
            Instance.FixColliders();
                          }
                      }
                  );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Rat 5",
        DescriptionOverride = "R.E.T",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("Ratthumb/retThumb5.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rat/ret5.png");
	
            Instance.FixColliders();
          }
        }
                  );
                                ModAPI.Register(
                                new Modification()
                                {
                                    OriginalItem = ModAPI.FindSpawnable("Human"),
                                    NameOverride = "<color=red> [ANM] <color=white>Velociraptor",
                                    NameToOrderByOverride = "",
                                    DescriptionOverride = "i don't like this",
                                    CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                                    ThumbnailOverride = ModAPI.LoadSprite("Dinosaur1.png"),
                                    AfterSpawn = (Instance) =>
                                    {

                                      var person = Instance.GetComponent<PersonBehaviour>();

                                        Instance.transform.Find("FrontLeg").Find("UpperLegFront").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster1/upper leg.png");
                                        Instance.transform.Find("FrontLeg").Find("UpperLegFront").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster1/2.png"));
                                        Instance.transform.Find("FrontLeg").Find("UpperLegFront").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster1/5.png"));

                                        Instance.transform.Find("BackLeg").Find("UpperLeg").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster1/upper leg.png");
                                        Instance.transform.Find("BackLeg").Find("UpperLeg").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster1/2.png"));
                                        Instance.transform.Find("BackLeg").Find("UpperLeg").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster1/5.png"));

                                        Instance.transform.Find("FrontLeg").Find("LowerLegFront").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster1/lower leg.png");
                                        Instance.transform.Find("FrontLeg").Find("LowerLegFront").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster1/1.png"));
                                        Instance.transform.Find("FrontLeg").Find("LowerLegFront").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster1/6.png"));

                                        Instance.transform.Find("BackLeg").Find("LowerLeg").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster1/lower leg.png");
                                        Instance.transform.Find("BackLeg").Find("LowerLeg").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster1/1.png"));
                                        Instance.transform.Find("BackLeg").Find("LowerLeg").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster1/6.png"));

                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster1/body.png");
                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster1/meathead.png"));
                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster1/skelhead.png"));

                                        Instance.transform.Find("Head").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster1/head.png");
                                        Instance.transform.Find("Head").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster1/meatyhead.png"));
                                        Instance.transform.Find("Head").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster1/skellyhead.png"));

                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster1/upper arm.png");
                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster1/3.png"));
                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster1/7.png"));

                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster1/upper arm.png");
                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster1/3.png"));
                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster1/7.png"));

                                        Instance.transform.Find("FrontArm").Find("LowerArmFront").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster1/lower arm.png");
                                        Instance.transform.Find("FrontArm").Find("LowerArmFront").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster1/4.png"));
                                        Instance.transform.Find("FrontArm").Find("LowerArmFront").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster1/8.png"));

                                        Instance.transform.Find("BackArm").Find("LowerArm").GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ScaryMonster1/lower arm.png");
                                        Instance.transform.Find("BackArm").Find("LowerArm").GetComponent<SpriteRenderer>().material.SetTexture("_FleshTex", ModAPI.LoadTexture("ScaryMonster1/4.png"));
                                        Instance.transform.Find("BackArm").Find("LowerArm").GetComponent<SpriteRenderer>().material.SetTexture("_BoneTex", ModAPI.LoadTexture("ScaryMonster1/8.png"));

                                         var body1 = Instance.transform.Find("Body").Find("LowerBody");

                                        var hand1 = Instance.transform.Find("FrontArm").Find("UpperArmFront");
                                        hand1.localPosition = new Vector2(1f, -0.55f);

                                        var hand2 = Instance.transform.Find("BackArm").Find("UpperArm");
                                        hand2.localPosition = new Vector2(1f, -0.55f);

                                        var hand3 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                                        hand3.localPosition = new Vector2(1f, -0.94f);

                                        var hand4 = Instance.transform.Find("BackArm").Find("LowerArm");
                                        hand4.localPosition = new Vector2(1f, -0.94f);

                                         var headyss = Instance.transform.Find("Head");
                                                 var phys12 = headyss.GetComponent<PhysicalBehaviour>();
                                                 var prop12 = ModAPI.FindPhysicalProperties("Human");
                                                 prop12.Sharp = true;
                                                 prop12.SharpAxes = new[]
                                                 {
                                                     new SharpAxis(Vector2.right, 0f, 0.15f, true, true),
                                                 };
                                                 phys12.Properties = prop12;


                                        var phys1 = hand4.GetComponent<PhysicalBehaviour>();
                                            var prop = ModAPI.FindPhysicalProperties("Human");
                                            prop.Sharp = true;
                                            prop.SharpAxes = new[]
                                            {
                                                new SharpAxis(Vector2.left, 0f, 0f, false, true),
                                            };
                                            phys1.Properties = prop;
                                            var phys2 = hand3.GetComponent<PhysicalBehaviour>();
                                            phys2.Properties = prop;

                                        var leg1 = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                        leg1.localPosition = new Vector2(0.25f, -0.30f);

                                        var leg2 = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                        leg2.localPosition = new Vector2(0.25f, -0.30f);

                                        var leg3 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
                                        leg3.localPosition = new Vector2(0.25f, -0.75f);

                                        var leg4 = Instance.transform.Find("BackLeg").Find("LowerLeg");
                                        leg4.localPosition = new Vector2(0.25f, -0.75f);

                                        var headys = Instance.transform.Find("Head");
                                        headys.localPosition = new Vector2(1.5f, 0.35f);

                                        Instance.transform.Find("Body").Find("MiddleBody").GetComponent<PhysicalBehaviour>().Disintegrate();
                                        Instance.transform.Find("Body").Find("UpperBody").GetComponent<PhysicalBehaviour>().Disintegrate();
                                        Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                        Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>().HasBrain = true;

                                        if (Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>().FakeUprightForce != 0.025f)
                                        {
                                            Instance.transform.Find("Body").Find("LowerBody").localPosition = new Vector3(-0.35f, -0.08f);
                                        }

                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>().FakeUprightForce = 0.025f;
                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<Rigidbody2D>().mass = 5f;

                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = true;
                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>().CirculationBehaviour.WasInitiallyPumping = true;


                                        Instance.transform.Find("Body").Find("LowerBody").gameObject.AddComponent<BoxCollider2D>();

                                        Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.AddComponent<BoxCollider2D>();

                                        Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.AddComponent<BoxCollider2D>();

                                        Instance.transform.Find("Head").gameObject.AddComponent<BoxCollider2D>();
                                        Instance.transform.Find("Head").GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = true;
                                        Instance.transform.Find("Head").GetComponent<LimbBehaviour>().CirculationBehaviour.WasInitiallyPumping = true;

                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.AddComponent<BoxCollider2D>();
                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = true;
                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<LimbBehaviour>().CirculationBehaviour.WasInitiallyPumping = true;

                                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.AddComponent<BoxCollider2D>();
                                        Instance.transform.Find("FrontArm").Find("LowerArmFront").GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = true;
                                        Instance.transform.Find("FrontArm").Find("LowerArmFront").GetComponent<LimbBehaviour>().CirculationBehaviour.WasInitiallyPumping = true;

                                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.AddComponent<BoxCollider2D>();
                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = true;
                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<LimbBehaviour>().CirculationBehaviour.WasInitiallyPumping = true;

                                        Instance.transform.Find("BackArm").Find("LowerArm").gameObject.AddComponent<BoxCollider2D>();
                                        Instance.transform.Find("BackArm").Find("LowerArm").GetComponent<LimbBehaviour>().CirculationBehaviour.IsPump = true;
                                        Instance.transform.Find("BackArm").Find("LowerArm").GetComponent<LimbBehaviour>().CirculationBehaviour.WasInitiallyPumping = true;

                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<HingeJoint2D>().connectedBody = Instance.transform.Find("Body").Find("LowerBody").GetComponent<Rigidbody2D>();
                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<HingeJoint2D>().connectedBody = Instance.transform.Find("Body").Find("LowerBody").GetComponent<Rigidbody2D>();
                                        Instance.transform.Find("Head").GetComponent<HingeJoint2D>().connectedBody = Instance.transform.Find("Body").Find("LowerBody").GetComponent<Rigidbody2D>();
                                        Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<LimbBehaviour>().ConnectedLimbs.Add(Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>());
                                        Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<LimbBehaviour>().ConnectedLimbs.Add(Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>());

                                        Instance.transform.Find("Head").GetComponent<LimbBehaviour>().ConnectedLimbs.Add(Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>());

                                        Instance.transform.Find("Body").Find("LowerBody").GetComponent<LimbBehaviour>().CirculationBehaviour.PushesTo = new CirculationBehaviour[]{
                                                Instance.transform.Find("BackArm").Find("UpperArm").GetComponent<CirculationBehaviour>(),
                                                Instance.transform.Find("FrontArm").Find("UpperArmFront").GetComponent<CirculationBehaviour>(),
                                                Instance.transform.Find("Head").GetComponent<CirculationBehaviour>(),
                                                Instance.transform.Find("BackLeg").Find("UpperLeg").GetComponent<CirculationBehaviour>(),
                                                Instance.transform.Find("FrontLeg").Find("UpperLegFront").GetComponent<CirculationBehaviour>()
                                            };

                                        var allColliders = Instance.GetComponentsInChildren<Collider2D>();
                                        foreach (var a in allColliders)
                                            foreach (var b in allColliders)
                                                Physics2D.IgnoreCollision(a, b);


                                         foreach (var body in person.Limbs)
                                            {
                                                 body.BaseStrength *= 3f;
                                                 body.Health *= 500f;
                                                 body.BreakingThreshold *= 12f;
          }}		
        }
                  );
ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"),
                          NameOverride = "<color=red> [ANM] <color=white> Zebra",
                          NameToOrderByOverride = "humans",
                          DescriptionOverride = "time to do a new ppg video",
                          CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                          ThumbnailOverride = ModAPI.LoadSprite("Zebra/zebra.png"),
                          AfterSpawn = (Instance) =>
                          {

                              var person = Instance.GetComponent<PersonBehaviour>();

                              var skin = ModAPI.LoadTexture("Zebra/1.png");
                              var flesh = ModAPI.LoadTexture("flesh layer.png");
                              var bone = ModAPI.LoadTexture("bone layer.png");
                              person.SetBodyTextures(skin, flesh, bone, 1);

                              foreach (var body in person.Limbs)
                              {

                                var brea = new GameObject("brea");
                                brea.transform.SetParent(Instance.transform.Find("Head"));
                                brea.transform.localPosition = new Vector3(0f, 0f);
                                brea.transform.localScale = new Vector3(1f, 1f);
                                var breaSprite = brea.AddComponent<SpriteRenderer>();
                                breaSprite.sprite = ModAPI.LoadSprite("Zebra/1Head.png");
                                brea.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                var lower = new GameObject("lower");
                                lower.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                lower.transform.localPosition = new Vector3(0f, 0f);
                                lower.transform.localScale = new Vector3(1f, 1f);
                                var lowerSprite = lower.AddComponent<SpriteRenderer>();
                                lowerSprite.sprite = ModAPI.LoadSprite("Zebra/1tail.png");
                                lower.GetComponent<SpriteRenderer>().sortingLayerName = "Top";

                                   var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                   var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                   var body1 = Instance.transform.Find("Body").Find("MiddleBody");
                                   var body2 = Instance.transform.Find("Body").Find("UpperBody");
                                   var body3 = Instance.transform.Find("Body").Find("LowerBody");
                                   var legRight2 = Instance.transform.Find("BackLeg").Find("LowerLeg");
                                   var legLeft2 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
                                   var head = Instance.transform.Find("Head");

                                   legLeft.localPosition = new Vector3(0.17f, -0.447f, 0f); //pierwszy numerek to odległość, drugi wysokość a trzeci kąt przechylenia
                                   legRight.localPosition = new Vector3(-0.24f, -0.45f, 0f);
                                   legLeft2.localPosition = new Vector3(-0.24f, -0.8f, 0f); //0.06f odległość, -0.447f wysokość -0.26f, -0.8f, 0f
                                   legRight2.localPosition = new Vector3(0.17f, -0.8f, 0f); //0.06f, -0.8f, 0f
                                   body1.localPosition = new Vector3(-0.06f, -0.2f, 45f);
                                   body2.localPosition = new Vector3(0.2f, -0.2f, 45f);
                                   body3.localPosition = new Vector3(-0.3f, -0.2f, 45f);//0.3f, 0.5f, 45f
                                   head.localPosition = new Vector3(0.3f, 0.1f, 45f);


                                   body.Health *= 30f;
                                   body.BreakingThreshold *= 50f;
                                   body.transform.root.localScale *= 1.04f;

                              Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                              Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                 }
              }
            }
          );

                                     ModAPI.Register(
                                         new Modification()
                                         {
                                             OriginalItem = ModAPI.FindSpawnable("Human"),
                                             NameOverride = "YOO THE CAT FROM MILES MORALES",
                                             NameToOrderByOverride = "humans",
                                             DescriptionOverride = "lol",
                                             CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                                             ThumbnailOverride = ModAPI.LoadSprite("cats/miles.png"),
                                             AfterSpawn = (Instance) =>
                                             {

                                                 var person = Instance.GetComponent<PersonBehaviour>();

                                                 var skin = ModAPI.LoadTexture("cats/1.png");
                                                 var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                                                 var bone = ModAPI.LoadTexture("sprites/bone.png");
                                                 person.SetBodyTextures(skin, flesh, bone);

                                                 foreach (var body in person.Limbs)
                                                 {

                                                      var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                                      var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                                      var Head1 = Instance.transform.Find("Body").Find("MiddleBody");

                                                      legLeft.localPosition = new Vector3(0.04f, -0.447f, 0f);
                                                      legRight.localPosition = new Vector3(-0.26f, -0.45f, 0f);
                                                      Head1.localPosition = new Vector3(0.26f, -0.03f, 0f);


                                                      body.Health *= 25f;
                                                      body.BreakingThreshold *= 50f;
                                                      body.transform.root.localScale *= 1f;

                                                 Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("Head").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("Body").Find("UpperBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 }


                                                 var Leg1 = Instance.transform.Find("FrontLeg").Find("UpperLegFront").gameObject;
                                                 foreach(var hitbox1 in Leg1.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox1); }
                                                 var floop1 = Leg1.AddComponent<BoxCollider2D>();

                                                 floop1.size = Vector2.one * 0.18f;

                                                 floop1.offset = new Vector2(0f, 0.11f);


                                                 var Leg2 = Instance.transform.Find("BackLeg").Find("UpperLeg").gameObject;
                                                 foreach(var hitbox2 in Leg2.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox2); }
                                                 var floop2 = Leg2.AddComponent<BoxCollider2D>();

                                                 floop2.size = Vector2.one * 0.18f;

                                                 floop2.offset = new Vector2(0f, 0.11f);

                                                 var Heads = Instance.transform.Find("Body").Find("LowerBody").gameObject;
                                                     foreach(var hitbox1 in Heads.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox1); }
                                                     var hada = Heads.AddComponent<BoxCollider2D>();

                                                     hada.offset = new Vector2(-0.1f, -0.08f);
                                                     hada.size = new Vector3(0.55f, 0.25f);

                                                 var fleebHead = Instance.transform.Find("Body").Find("MiddleBody").gameObject;
                                                 fleebHead.name = "Head"; //this is so it works with the armor mod :)
                                                 fleebHead.GetComponent<LimbBehaviour>().HasBrain = true;
                                                 fleebHead.GetComponent<CirculationBehaviour>().WasInitiallyPumping = true;
                                                 fleebHead.GetComponent<CirculationBehaviour>().IsPump = true;
                                                 fleebHead.GetComponent<SpriteRenderer>().sortingLayerName = "Back";

                                                 foreach(var hitbox in fleebHead.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox); }
                                                 var floop = fleebHead.AddComponent<BoxCollider2D>();
                                                 floop.size = Vector2.one * 0.25f;
                                                 floop.offset = new Vector2(0f, -0.05f);

                                                 var fleebth = fleebHead.AddComponent<GripBehaviour>();
                                                 fleebth.GripPosition = new Vector3(0.15f, -0.15f, 0.45f);

                                                      var back = new GameObject("back");
                                                      back.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                                      back.transform.localPosition = new Vector3(-0.2275f, -0.057f);
                                                      back.transform.localScale = new Vector3(1f, 1f);
                                                      var backSprite = back.AddComponent<SpriteRenderer>();
                                                      backSprite.sprite = ModAPI.LoadSprite("cats/cat1ass.png");
                                                      back.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                             }
                                         }
                                     );
                                  ModAPI.Register(
                                         new Modification()
                                         {
                                             OriginalItem = ModAPI.FindSpawnable("Human"),
                                             NameOverride = "Cat 2",
                                             NameToOrderByOverride = "humans",
                                             DescriptionOverride = "lol",
                                             CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                                             ThumbnailOverride = ModAPI.LoadSprite("cats/2thumb.png"),
                                             AfterSpawn = (Instance) =>
                                             {

                                                 var person = Instance.GetComponent<PersonBehaviour>();

                                                 var skin = ModAPI.LoadTexture("cats/2.png");
                                                 var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                                                 var bone = ModAPI.LoadTexture("sprites/bone.png");
                                                 person.SetBodyTextures(skin, flesh, bone);

                                                 foreach (var body in person.Limbs)
                                                 {

                                                      var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                                      var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                                      var Head1 = Instance.transform.Find("Body").Find("MiddleBody");

                                                      legLeft.localPosition = new Vector3(0.04f, -0.447f, 0f);
                                                      legRight.localPosition = new Vector3(-0.26f, -0.45f, 0f);
                                                      Head1.localPosition = new Vector3(0.26f, -0.03f, 0f);


                                                      body.Health *= 25f;
                                                      body.BreakingThreshold *= 50f;
                                                      body.transform.root.localScale *= 1f;

                                                 Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("Head").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("Body").Find("UpperBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 }


                                                 var Leg1 = Instance.transform.Find("FrontLeg").Find("UpperLegFront").gameObject;
                                                 foreach(var hitbox1 in Leg1.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox1); }
                                                 var floop1 = Leg1.AddComponent<BoxCollider2D>();

                                                 floop1.size = Vector2.one * 0.18f;

                                                 floop1.offset = new Vector2(0f, 0.11f);


                                                 var Leg2 = Instance.transform.Find("BackLeg").Find("UpperLeg").gameObject;
                                                 foreach(var hitbox2 in Leg2.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox2); }
                                                 var floop2 = Leg2.AddComponent<BoxCollider2D>();

                                                 floop2.size = Vector2.one * 0.18f;

                                                 floop2.offset = new Vector2(0f, 0.11f);

                                                 var Heads = Instance.transform.Find("Body").Find("LowerBody").gameObject;
                                                     foreach(var hitbox1 in Heads.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox1); }
                                                     var hada = Heads.AddComponent<BoxCollider2D>();

                                                     hada.offset = new Vector2(-0.1f, -0.08f);
                                                     hada.size = new Vector3(0.55f, 0.25f);

                                                 var fleebHead = Instance.transform.Find("Body").Find("MiddleBody").gameObject;
                                                 fleebHead.name = "Head"; //this is so it works with the armor mod :)
                                                 fleebHead.GetComponent<LimbBehaviour>().HasBrain = true;
                                                 fleebHead.GetComponent<CirculationBehaviour>().WasInitiallyPumping = true;
                                                 fleebHead.GetComponent<CirculationBehaviour>().IsPump = true;
                                                 fleebHead.GetComponent<SpriteRenderer>().sortingLayerName = "Back";

                                                 foreach(var hitbox in fleebHead.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox); }
                                                 var floop = fleebHead.AddComponent<BoxCollider2D>();
                                                 floop.size = Vector2.one * 0.25f;
                                                 floop.offset = new Vector2(0f, -0.05f);

                                                 var fleebth = fleebHead.AddComponent<GripBehaviour>();
                                                 fleebth.GripPosition = new Vector3(0.15f, -0.15f, 0.45f);

                                                      var back = new GameObject("back");
                                                      back.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                                      back.transform.localPosition = new Vector3(-0.2275f, -0.057f);
                                                      back.transform.localScale = new Vector3(1f, 1f);
                                                      var backSprite = back.AddComponent<SpriteRenderer>();
                                                      backSprite.sprite = ModAPI.LoadSprite("cats/cat2ass.png");
                                                      back.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                             }
                                         }
                                     );
                                  ModAPI.Register(
                                         new Modification()
                                         {
                                             OriginalItem = ModAPI.FindSpawnable("Human"),
                                             NameOverride = "Cat 3",
                                             NameToOrderByOverride = "humans",
                                             DescriptionOverride = "lol",
                                             CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                                             ThumbnailOverride = ModAPI.LoadSprite("cats/3thumb.png"),
                                             AfterSpawn = (Instance) =>
                                             {

                                                 var person = Instance.GetComponent<PersonBehaviour>();

                                                 var skin = ModAPI.LoadTexture("cats/3.png");
                                                 var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                                                 var bone = ModAPI.LoadTexture("sprites/bone.png");
                                                 person.SetBodyTextures(skin, flesh, bone);

                                                 foreach (var body in person.Limbs)
                                                 {

                                                      var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                                      var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                                      var Head1 = Instance.transform.Find("Body").Find("MiddleBody");

                                                      legLeft.localPosition = new Vector3(0.04f, -0.447f, 0f);
                                                      legRight.localPosition = new Vector3(-0.26f, -0.45f, 0f);
                                                      Head1.localPosition = new Vector3(0.26f, -0.03f, 0f);


                                                      body.Health *= 25f;
                                                      body.BreakingThreshold *= 50f;
                                                      body.transform.root.localScale *= 1f;

                                                 Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("Head").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("Body").Find("UpperBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 }


                                                 var Leg1 = Instance.transform.Find("FrontLeg").Find("UpperLegFront").gameObject;
                                                 foreach(var hitbox1 in Leg1.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox1); }
                                                 var floop1 = Leg1.AddComponent<BoxCollider2D>();

                                                 floop1.size = Vector2.one * 0.18f;

                                                 floop1.offset = new Vector2(0f, 0.11f);


                                                 var Leg2 = Instance.transform.Find("BackLeg").Find("UpperLeg").gameObject;
                                                 foreach(var hitbox2 in Leg2.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox2); }
                                                 var floop2 = Leg2.AddComponent<BoxCollider2D>();

                                                 floop2.size = Vector2.one * 0.18f;

                                                 floop2.offset = new Vector2(0f, 0.11f);

                                                 var Heads = Instance.transform.Find("Body").Find("LowerBody").gameObject;
                                                     foreach(var hitbox1 in Heads.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox1); }
                                                     var hada = Heads.AddComponent<BoxCollider2D>();

                                                     hada.offset = new Vector2(-0.1f, -0.08f);
                                                     hada.size = new Vector3(0.55f, 0.25f);

                                                 var fleebHead = Instance.transform.Find("Body").Find("MiddleBody").gameObject;
                                                 fleebHead.name = "Head"; //this is so it works with the armor mod :)
                                                 fleebHead.GetComponent<LimbBehaviour>().HasBrain = true;
                                                 fleebHead.GetComponent<CirculationBehaviour>().WasInitiallyPumping = true;
                                                 fleebHead.GetComponent<CirculationBehaviour>().IsPump = true;
                                                 fleebHead.GetComponent<SpriteRenderer>().sortingLayerName = "Back";

                                                 foreach(var hitbox in fleebHead.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox); }
                                                 var floop = fleebHead.AddComponent<BoxCollider2D>();
                                                 floop.size = Vector2.one * 0.25f;
                                                 floop.offset = new Vector2(0f, -0.05f);

                                                 var fleebth = fleebHead.AddComponent<GripBehaviour>();
                                                 fleebth.GripPosition = new Vector3(0.15f, -0.15f, 0.45f);

                                                      var back = new GameObject("back");
                                                      back.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                                      back.transform.localPosition = new Vector3(-0.2275f, -0.057f);
                                                      back.transform.localScale = new Vector3(1f, 1f);
                                                      var backSprite = back.AddComponent<SpriteRenderer>();
                                                      backSprite.sprite = ModAPI.LoadSprite("cats/cat3ass.png");
                                                      back.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                             }
                                         }
                                     );
                                  ModAPI.Register(
                                         new Modification()
                                         {
                                             OriginalItem = ModAPI.FindSpawnable("Human"),
                                             NameOverride = "Cat 4",
                                             NameToOrderByOverride = "humans",
                                             DescriptionOverride = "lol",
                                             CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                                             ThumbnailOverride = ModAPI.LoadSprite("cats/4thumb.png"),
                                             AfterSpawn = (Instance) =>
                                             {

                                                 var person = Instance.GetComponent<PersonBehaviour>();

                                                 var skin = ModAPI.LoadTexture("cats/4.png");
                                                 var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                                                 var bone = ModAPI.LoadTexture("sprites/bone.png");
                                                 person.SetBodyTextures(skin, flesh, bone);

                                                 foreach (var body in person.Limbs)
                                                 {

                                                      var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                                      var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                                      var Head1 = Instance.transform.Find("Body").Find("MiddleBody");

                                                      legLeft.localPosition = new Vector3(0.04f, -0.447f, 0f);
                                                      legRight.localPosition = new Vector3(-0.26f, -0.45f, 0f);
                                                      Head1.localPosition = new Vector3(0.26f, -0.03f, 0f);


                                                      body.Health *= 25f;
                                                      body.BreakingThreshold *= 50f;
                                                      body.transform.root.localScale *= 1f;

                                                 Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("Head").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("Body").Find("UpperBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 }


                                                 var Leg1 = Instance.transform.Find("FrontLeg").Find("UpperLegFront").gameObject;
                                                 foreach(var hitbox1 in Leg1.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox1); }
                                                 var floop1 = Leg1.AddComponent<BoxCollider2D>();

                                                 floop1.size = Vector2.one * 0.18f;

                                                 floop1.offset = new Vector2(0f, 0.11f);


                                                 var Leg2 = Instance.transform.Find("BackLeg").Find("UpperLeg").gameObject;
                                                 foreach(var hitbox2 in Leg2.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox2); }
                                                 var floop2 = Leg2.AddComponent<BoxCollider2D>();

                                                 floop2.size = Vector2.one * 0.18f;

                                                 floop2.offset = new Vector2(0f, 0.11f);

                                                 var Heads = Instance.transform.Find("Body").Find("LowerBody").gameObject;
                                                     foreach(var hitbox1 in Heads.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox1); }
                                                     var hada = Heads.AddComponent<BoxCollider2D>();

                                                     hada.offset = new Vector2(-0.1f, -0.08f);
                                                     hada.size = new Vector3(0.55f, 0.25f);

                                                 var fleebHead = Instance.transform.Find("Body").Find("MiddleBody").gameObject;
                                                 fleebHead.name = "Head"; //this is so it works with the armor mod :)
                                                 fleebHead.GetComponent<LimbBehaviour>().HasBrain = true;
                                                 fleebHead.GetComponent<CirculationBehaviour>().WasInitiallyPumping = true;
                                                 fleebHead.GetComponent<CirculationBehaviour>().IsPump = true;
                                                 fleebHead.GetComponent<SpriteRenderer>().sortingLayerName = "Back";

                                                 foreach(var hitbox in fleebHead.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox); }
                                                 var floop = fleebHead.AddComponent<BoxCollider2D>();
                                                 floop.size = Vector2.one * 0.25f;
                                                 floop.offset = new Vector2(0f, -0.05f);

                                                 var fleebth = fleebHead.AddComponent<GripBehaviour>();
                                                 fleebth.GripPosition = new Vector3(0.15f, -0.15f, 0.45f);

                                                      var back = new GameObject("back");
                                                      back.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                                      back.transform.localPosition = new Vector3(-0.2275f, -0.057f);
                                                      back.transform.localScale = new Vector3(1f, 1f);
                                                      var backSprite = back.AddComponent<SpriteRenderer>();
                                                      backSprite.sprite = ModAPI.LoadSprite("cats/cat4ass.png");
                                                      back.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                             }
                                         }
                                     );
                                  ModAPI.Register(
                                         new Modification()
                                         {
                                             OriginalItem = ModAPI.FindSpawnable("Human"),
                                             NameOverride = "Cat 5",
                                             NameToOrderByOverride = "humans",
                                             DescriptionOverride = "lol",
                                             CategoryOverride = ModAPI.FindCategory("Animals Mod"),
                                             ThumbnailOverride = ModAPI.LoadSprite("Cats/5thumb.png"),
                                             AfterSpawn = (Instance) =>
                                             {

                                                 var person = Instance.GetComponent<PersonBehaviour>();

                                                 var skin = ModAPI.LoadTexture("cats/5.png");
                                                 var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                                                 var bone = ModAPI.LoadTexture("sprites/bone.png");
                                                 person.SetBodyTextures(skin, flesh, bone);

                                                 foreach (var body in person.Limbs)
                                                 {

                                                      var legRight = Instance.transform.Find("FrontLeg").Find("UpperLegFront");
                                                      var legLeft = Instance.transform.Find("BackLeg").Find("UpperLeg");
                                                      var Head1 = Instance.transform.Find("Body").Find("MiddleBody");

                                                      legLeft.localPosition = new Vector3(0.04f, -0.447f, 0f);
                                                      legRight.localPosition = new Vector3(-0.26f, -0.45f, 0f);
                                                      Head1.localPosition = new Vector3(0.26f, -0.03f, 0f);


                                                      body.Health *= 25f;
                                                      body.BreakingThreshold *= 50f;
                                                      body.transform.root.localScale *= 1f;

                                                 Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("Head").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 Instance.transform.Find("Body").Find("UpperBody").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                                                 }


                                                 var Leg1 = Instance.transform.Find("FrontLeg").Find("UpperLegFront").gameObject;
                                                 foreach(var hitbox1 in Leg1.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox1); }
                                                 var floop1 = Leg1.AddComponent<BoxCollider2D>();

                                                 floop1.size = Vector2.one * 0.18f;

                                                 floop1.offset = new Vector2(0f, 0.11f);


                                                 var Leg2 = Instance.transform.Find("BackLeg").Find("UpperLeg").gameObject;
                                                 foreach(var hitbox2 in Leg2.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox2); }
                                                 var floop2 = Leg2.AddComponent<BoxCollider2D>();

                                                 floop2.size = Vector2.one * 0.18f;

                                                 floop2.offset = new Vector2(0f, 0.11f);

                                                 var Heads = Instance.transform.Find("Body").Find("LowerBody").gameObject;
                                                     foreach(var hitbox1 in Heads.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox1); }
                                                     var hada = Heads.AddComponent<BoxCollider2D>();

                                                     hada.offset = new Vector2(-0.1f, -0.08f);
                                                     hada.size = new Vector3(0.55f, 0.25f);

                                                 var fleebHead = Instance.transform.Find("Body").Find("MiddleBody").gameObject;
                                                 fleebHead.name = "Head"; //this is so it works with the armor mod :)
                                                 fleebHead.GetComponent<LimbBehaviour>().HasBrain = true;
                                                 fleebHead.GetComponent<CirculationBehaviour>().WasInitiallyPumping = true;
                                                 fleebHead.GetComponent<CirculationBehaviour>().IsPump = true;
                                                 fleebHead.GetComponent<SpriteRenderer>().sortingLayerName = "Back";

                                                 foreach(var hitbox in fleebHead.GetComponents<Collider2D>()) { GameObject.Destroy(hitbox); }
                                                 var floop = fleebHead.AddComponent<BoxCollider2D>();
                                                 floop.size = Vector2.one * 0.25f;
                                                 floop.offset = new Vector2(0f, -0.05f);

                                                 var fleebth = fleebHead.AddComponent<GripBehaviour>();
                                                 fleebth.GripPosition = new Vector3(0.15f, -0.15f, 0.45f);

                                                      var back = new GameObject("back");
                                                      back.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                                      back.transform.localPosition = new Vector3(-0.2275f, -0.057f);
                                                      back.transform.localScale = new Vector3(1f, 1f);
                                                      var backSprite = back.AddComponent<SpriteRenderer>();
                                                      backSprite.sprite = ModAPI.LoadSprite("cats/cat5ass.png");
                                                      back.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                                             }
                                         }
                                     );
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "<color=red> [ANM] <color=white>Cat Thing",
        DescriptionOverride = "i dont know the name, but is cool",
        CategoryOverride = ModAPI.FindCategory("Animals Mod"),
        ThumbnailOverride = ModAPI.LoadSprite("Cat.png"),
        AfterSpawn = (Instance) =>
        {

  
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("thing.png");
	
            Instance.FixColliders();
                                             }
                                         }
                                     );
                                             }
                                         }
                                             }



